Subject: Re: [PATCH] qtfnmac: Tidy up DMA mask setting

From: Sergey Matyukevich <sergey.matyukevich.os-P/[email-masked]>
Date: Wed, 26 Jul 2017 01:00:52 +0300

> As the only caller of dma_supported() outside of DMA API internals, the
> qtfnmac driver stands out and invites scrutiny. Thankfully, it's not
> being used for evil, but it is entirely redundant, since it open-codes a
> check that the DMA mask setting functions are going to perform anyway.
> In fact, the whole qtnf_pcie_init_dma_mask() function is nothing more
> than a rather long-winded implementation of dma_set_mask_and_coherent(),
> so let's just use that directly.
> 
> Signed-off-by: Robin Murphy <[email-masked]>

Nice, thanks you !

Acked-by: Sergey Matyukevich <sergey.matyukevich.os-P/[email-masked]>